﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net.Configuration;
using System.Threading;
using System.Web;
using System.Web.Mvc;
using ASC.Scheduler.Messages;
using WebMonitor.SASReference;
using Infragistics.Web.Mvc;
using WebMonitor.Models;


namespace WebMonitor.Controllers
{
    public class HomeController : Controller
    {
        private SchedulerAccessServiceClient _sas;

        public HomeController()
        {

        }


        public ActionResult Index()
        {
            ViewBag.GridID = "dataGrid";
            GridModel model = new GridModel
            {
                //This allows us to reference the grid in the view via the Viewbag.
                // This is necessary for updating the grid in the view
                ID = ViewBag.GridID,
                PrimaryKey = "JobHistoryId"// The primary key for the dataset is the column listed here
            };

            CustomGridModel.BuildCustomGridModel(model);
            
            //This is the initial datasource that is passed into the grid. By default the columns
            // are generated automatically using JobStatusMessage which is why this needs to be declared here.
            List<MasterJobRow> willBeSASData = new List<MasterJobRow>(); //will get this from a model that queries sas

            //Infragistics grids need to have a queryable datasource
            model.DataSource = willBeSASData.AsQueryable();

            return View(model);
        }

        //public ActionResult About()
        //{
        //    ViewBag.Message = "Your application description page.";

        //    return View();
        //}

        //public ActionResult Contact()
        //{
        //    ViewBag.Message = "Your contact page.";

        //    return View();
        //}
    }
}